# Ballerina Language Server

A Language Server Implementation for [Ballerina](https://ballerinalang.org/); a general purpose, concurrent and strongly typed programming language with both textual and graphical syntax, optimized for integration. With this implementation we expose the language support for Ballerina in various IDEs by adhering to the [Language Server Protocol](https://github.com/Microsoft/language-server-protocol).

## Features
In the current implementation we support following language features.
 * *Auto completion*
 
 ![alt text](./docs/images/endpointActions.gif?raw=true "Auto Completion")
 * *Hover provider*
 
 ![alt text](./docs/images/hover.gif?raw=true "Hover Provider")
 * *Signature Help*
 
 ![alt text](./docs/images/SignatureHelp.gif?raw=true "Signature Help")
 * *Go to Definition*
 
 ![alt text](./docs/images/GotoDef.gif?raw=true "Go to Definition")
 * *Diagnostics*
 
 ![alt text](./docs/images/semanticsAndSyntactics.gif?raw=true "Diagnostics")
 
  * *Code Action*
  
  ![alt text](./docs/images/addImport.gif?raw=true "Diagnostics")
 
## Installation
You can find the Language server integrated VSCode plugin for Ballerina at [marketplace](https://marketplace.visualstudio.com/items?itemName=WSO2.Ballerina). Also Language server support for [Ballerina Composer](https://github.com/ballerinalang/composer) has been integrated to composer itself.

## User Guide
You can find the Language Server User Guide [here](https://github.com/nadeeshaan/ballerina/blob/dev-branch/language-server/docs/UserGuide.md)

## How to Contribute
Ballerina Language Server is currently work in progress and feel free to follow the [issue tracker](https://github.com/ballerinalang/language-server/issues) for up coming features and feature requests.

## Contact Us
Managed By [WSO2 Inc.](https://wso2.com/)
Dev Group : [Ballerina Dev](https://groups.google.com/forum/#!forum/ballerina-dev)
